DataCollector

SPA: Retrieves a list of data collectors

Returns a paginated list of data collectors for the authenticated user's client.

GET/api/spa/data-collectors

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Query Parameters

page
integerdefault:1

The collection page number

itemsPerPage
integerdefault:20

The number of items per page

pagination
boolean

Enable or disable pagination

order[id]
stringdefault:asc

No description provided.

order[identifier]
stringdefault:asc

No description provided.

order[type]
stringdefault:asc

No description provided.

order[schedule]
stringdefault:asc

No description provided.

order[activeFrom]
stringdefault:asc

No description provided.

order[active]
stringdefault:asc

No description provided.

order[lastExecution]
stringdefault:asc

No description provided.

order[createdAt]
stringdefault:asc

No description provided.

order[updatedAt]
stringdefault:asc

No description provided.

identifier
string

No description provided.

type
string

No description provided.

type[]
string[]

No description provided.

search
string

Global data collector search across id, identifier, type, schedule, status, and dates.

active
boolean

No description provided.

activeFrom[before]
string

No description provided.

activeFrom[strictly_before]
string

No description provided.

activeFrom[after]
string

No description provided.

activeFrom[strictly_after]
string

No description provided.

Response

200application/json

DataCollector collection

id
integer
identifier
stringrequired
schedule
integer | null
type
stringrequired
configuration
string | null[]
requestMapping
string | null[]
apiToken
string<iri-reference> | null

Example: "https://example.com/"

lastExecution
string<date-time> | null
dataCollectorProcesses
string<iri-reference>[]
createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

client
object
subClient
object
active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"

versionGroup
string<uuid>

Immutable lineage key shared by all versions of this configuration entry.

versionNumber
integer

Monotonic version counter within the version group. Display/audit only, not part of resolution.

Example: 1

supersededAt
string<date-time>

Moment from which this version is superseded by a newer version of the same version group. Null while the version is (or is scheduled to become) the current one.

changeSummaryDe
string

AI generated German summary of the changes introduced by this version.

changeSummaryEn
string

AI generated English summary of the changes introduced by this version.

summaryStatus
enum<string>

Generation status of the AI change summary.

Available options: pendingdonefailed

subClientDefault
boolean

Default for environmental tenants (sub-clients)

Available options: truefalse

Example: false

subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"

subClientColor
string

SubClient display colour. Provided on instances with enabled sub-client module only.

Example: "#083E5D"